Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/mm: new aport

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Fri, 24 Feb 2017 15:01:22 +0200

A shared memory abstraction library
http://www.ossp.org/pkg/lib/mm/
---
 testing/mm/APKBUILD | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)
 create mode 100644 testing/mm/APKBUILD
diff --git a/testing/mm/APKBUILD b/testing/mm/APKBUILD
new file mode 100644
index 0000000000..7b67f786a1
--- /dev/null
+++ b/testing/mm/APKBUILD
_at_@ -0,0 +1,28 @@
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=mm
+pkgver=1.4.2
+pkgrel=0
+pkgdesc="A shared memory abstraction library"
+url="http://www.ossp.org/pkg/lib/mm/"
+arch="all"
+license="custom"
+depends=
+makedepends=
+subpackages="$pkgname-dev $pkgname-doc"
+source="ftp://ftp.ossp.org/pkg/lib/$pkgname/$pkgname-$pkgver.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+	cd "$builddir"
+	./configure --prefix=/usr || retrun 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+sha512sums="dcc12676453cfaf19560f99fa97e905428051d72b46aeaf574300f51e64f689caa70c81b619b8794ad604e8a2efe6bde1e486a2e315263b5694d6eab1cacc182  mm-1.4.2.tar.gz"
-- 
2.11.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Feb 24 2017 - 15:01:22 GMT